# Redland RDF Application Framework - Perl RDF::Redland::Stream Class

## NAME

RDF::Redland::Stream - Redland RDF Stream of RDF::Redland::Statement objects Class

## SYNOPSIS

      use RDF::Redland;

      ...
      my $stream=$model->serialise;
      while($stream && !$stream->end) {
        my $statement=$stream->current;
        ...
        $stream->next;
      }

## DESCRIPTION

Represents a sequence of RDF::Redland::Statement objects passed between various Redland objects.

## CONSTRUCTORS

No public constructors - are created and returned from various methods of classes including RDF::Redland::Model and RDF::Redland::Parser

## METHODS

end
  Returns non 0 if the stream is finished.
current
  Returns the current RDF::Redland::Statement object in the stream or undef if the stream is finished.
next
  Moves to the next RDF::Redland::Statement object in the stream. Returns non-zero if the stream is finished.
context
  Returns the context RDF::Redland::Node object in the stream or undef if the stream is finished.

## SEE ALSO

the RDF::Redland::Model manpage and the RDF::Redland::Parser manpage

## AUTHOR

Dave Beckett - http://purl.org/net/dajobe/

Copyright 2000-2003 Dave Beckett, Institute for Learning and Research Technology, University of Bristol